Bug 730234 - Review Request: jboss-ejb-3.1-api - EJB 3.1 API
Summary: Review Request: jboss-ejb-3.1-api - EJB 3.1 API
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tomas Radej
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 730226 730233
Blocks: 790512 802909 802929 803381
TreeView+ depends on / blocked
 
Reported: 2011-08-12 09:01 UTC by Marek Goldmann
Modified: 2012-04-12 02:46 UTC (History)
5 users (show)

Fixed In Version: jboss-ejb-3.1-api-1.0.2-1.fc17
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-04-12 02:46:54 UTC
tradej: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Comment 2 Tomas Radej 2012-03-01 10:42:38 UTC
I am releasing this bug, I may re-take it when the dependent package is resolved.

Comment 3 Marek Goldmann 2012-03-07 09:08:44 UTC
License cleanup pull request https://github.com/jboss/jboss-ejb-api_spec/pull/2

Comment 5 Richard Fontana 2012-03-10 03:35:54 UTC
Lifting FE-Legal.

Comment 6 Tomas Radej 2012-03-19 09:07:12 UTC
Taking it back. Fixing FSF address would be nice, but otherwise it's good.



Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[-]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[-]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST License file installed when any subpackage combination is installed.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[!]: MUST Rpmlint output is silent.

rpmlint jboss-ejb-3.1-api-1.0.2-0.1.20120309git53fbe3.fc18.src.rpm

jboss-ejb-3.1-api.src: W: invalid-url URL: http://www.jboss.org HTTP Error 403: Forbidden
jboss-ejb-3.1-api.src: W: invalid-url Source0: jboss-ejb-3.1-api-1.0.2.20120309git53fbe3.tar.xz
1 packages and 0 specfiles checked; 0 errors, 2 warnings.


rpmlint jboss-ejb-3.1-api-javadoc-1.0.2-0.1.20120309git53fbe3.fc18.noarch.rpm

jboss-ejb-3.1-api-javadoc.noarch: W: spelling-error Summary(en_US) Javadocs -> Java docs, Java-docs, Avocados
jboss-ejb-3.1-api-javadoc.noarch: W: invalid-url URL: http://www.jboss.org HTTP Error 403: Forbidden
jboss-ejb-3.1-api-javadoc.noarch: E: incorrect-fsf-address /usr/share/doc/jboss-ejb-3.1-api-javadoc-1.0.2/LICENSE
1 packages and 0 specfiles checked; 1 errors, 2 warnings.


rpmlint jboss-ejb-3.1-api-1.0.2-0.1.20120309git53fbe3.fc18.noarch.rpm

jboss-ejb-3.1-api.noarch: W: invalid-url URL: http://www.jboss.org HTTP Error 403: Forbidden
jboss-ejb-3.1-api.noarch: E: incorrect-fsf-address /usr/share/doc/jboss-ejb-3.1-api-1.0.2/LICENSE
1 packages and 0 specfiles checked; 1 errors, 1 warnings.


[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
     Upstream MD5: 681a7d905e532266c84f927499a65011
     Package MD5:  681a7d905e532266c84f927499a65011
[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[-]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[-]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[-]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX is a working URL.
[-]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[-]: SHOULD %check is present and all tests pass.
[-]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.


==== Java ====
[-]: MUST If source tarball includes bundled jar/class files these need to be
     removed prior to building
[x]: MUST Packages have proper BuildRequires/Requires on jpackage-utils
[x]: MUST Fully versioned dependency in subpackages, if present.
[x]: MUST Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: MUST Javadoc subpackages have Requires: jpackage-utils
[x]: MUST Javadocs are placed in %{_javadocdir}/%{name} (no -%{version}
     symlink)
[x]: SHOULD Package has BuildArch: noarch (if possible)
[x]: SHOULD Package uses upstream build method (ant/maven/etc.)


==== Maven ====
[x]: MUST Pom files have correct add_maven_depmap call
     Note: Some add_maven_depmap calls found. Please check if they are correct
[x]: MUST Old add_to_maven_depmap macro is not being used
[x]: MUST Packages DOES NOT have Requires(post) and Requires(postun) on
     jpackage-utils for %update_maven_depmap macro
[x]: MUST If package contains pom.xml files install it (including depmaps)
     even when building with ant
[x]: MUST Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: MUST Packages use %{_mavenpomdir} instead of %{_datadir}/maven2/poms

Issues:
[!]: MUST Rpmlint output is silent.
>>> Plese fix FSF address

jboss-ejb-3.1-api-javadoc.noarch: E: incorrect-fsf-address /usr/share/doc/jboss-ejb-3.1-api-javadoc-1.0.2/LICENSE

jboss-ejb-3.1-api.noarch: E: incorrect-fsf-address /usr/share/doc/jboss-ejb-3.1-api-1.0.2/LICENSE

Generated by fedora-review 0.1.3


*** APPROVED ***

Comment 7 Marek Goldmann 2012-03-19 11:22:02 UTC
Thanks for review!

New Package SCM Request
=======================
Package Name:      jboss-ejb-3.1-api
Short Description: EJB 3.1 API
Owners:            goldmann
Branches:          f17

Comment 8 Gwyn Ciesla 2012-03-19 11:53:21 UTC
Git done (by process-git-requests).

Comment 9 Fedora Update System 2012-03-19 13:02:53 UTC
jboss-ejb-3.1-api-1.0.2-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/jboss-ejb-3.1-api-1.0.2-1.fc17

Comment 10 Fedora Update System 2012-03-20 06:05:14 UTC
jboss-ejb-3.1-api-1.0.2-1.fc17 has been pushed to the Fedora 17 testing repository.

Comment 11 Fedora Update System 2012-04-12 02:46:54 UTC
jboss-ejb-3.1-api-1.0.2-1.fc17 has been pushed to the Fedora 17 stable repository.


Note You need to log in before you can comment on or make changes to this bug.